Bug 50054 - When the AJP connector is used, minSpareThreads cannot be used.
When the AJP connector is used, minSpareThreads cannot be used.
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Connectors
trunk
All All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-10-07 04:22 UTC by Keiichi Fujino
Modified: 2010-10-08 04:48 UTC (History)
0 users



Attachments
I made a patch. (31.92 KB, text/plain)
2010-10-07 04:24 UTC, Keiichi Fujino
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Keiichi Fujino 2010-10-07 04:22:51 UTC
I found following warnning messages. 

==
Oct 7, 2010 2:25:27 PM org.apache.catalina.startup.SetAllPropertiesRule begin
WARNING: [SetAllPropertiesRule]{Server/Service/Connector} Setting property 'minSpareThreads' to '31' did not find a matching property.
==

The AJP connector's configs are the following. 
<Connector port="8009" protocol="AJP/1.3" redirectPort="8443" minSpareThreads="100"/>

When I used the Http connector, minSpareThreads was able to be used. 

org.apache.coyote.ajp.AjpProtocol doesn't set the minSpareThreads to org.apache.tomcat.util.net.JIoEndpoint.

I made a patch.
This patch was made based on AbstractHttp11Protocol. 

Best regards.
Comment 1 Keiichi Fujino 2010-10-07 04:24:56 UTC
Created attachment 26132 [details]
I made a patch.

This patch was made based on AbstractHttp11Protocol.
Comment 2 Keiichi Fujino 2010-10-07 05:24:47 UTC
Fixed in trunk and will be in 7.0.4 onwards.
Comment 3 STG 2010-10-07 19:20:07 UTC
(In reply to comment #2)
> Fixed in trunk and will be in 7.0.4 onwards.

i downloaded tomcat 7.0.4 lately and I still experiencing this issue. 


can someone advise me how to patch and test in my tomcat...

Oct 7, 2010 3:38:23 PM org.apache.catalina.core.AprLifecycleListener init
INFO: APR capabilities: IPv6 [true], sendfile [true], accept filters [false], random [true].
Oct 7, 2010 3:38:23 PM org.apache.catalina.startup.SetAllPropertiesRule begin
WARNING: [SetAllPropertiesRule]{Server/Service/Connector} Setting property 'minSpareThreads' to '25' did not find a matching property.
Oct 7, 2010 3:38:23 PM org.apache.catalina.startup.SetAllPropertiesRule begin
WARNING: [SetAllPropertiesRule]{Server/Service/Connector} Setting property 'maxSpareThreads' to '75' did not find a matching property.
Oct 7, 2010 3:38:23 PM org.apache.catalina.startup.SetAllPropertiesRule begin
WARNING: [SetAllPropertiesRule]{Server/Service/Connector} Setting property 'maxSpareThreads' to '75' did not find a matching property.
Oct 7, 2010 3:38:23 PM org.apache.catalina.startup.SetAllPropertiesRule begin
WARNING: [SetAllPropertiesRule]{Server/Service/Connector} Setting property 'debug' to '0' did not find a matching property.
Oct 7, 2010 3:38:23 PM org.apache.coyote.http11.Http11AprProtocol init
Comment 4 Mark Thomas 2010-10-08 04:48:24 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Fixed in trunk and will be in 7.0.4 onwards.
> 
> i downloaded tomcat 7.0.4 lately and I still experiencing this issue.

Unlikely. Tomcat 7.0.4 has not yet been tagged let alone made available for download.
 
> can someone advise me how to patch and test in my tomcat...

That would be a question for the users mailing list.